Let's make a sudoku solver in 5 minutes (Backtracking) - Inside code

Поделиться
HTML-код
  • Опубликовано: 30 июл 2024
  • Source code: gist.github.com/syphh/62e6140...
    🔴 Learn graph theory algorithms: inscod.com/graphalgo
    ⚙ Learn dynamic programming: inscod.com/dp_course
    💡 Learn to solve popular coding interview problems: inscod.com/50problems_course
    ⌛ Learn time and space complexity analysis: inscod.com/complexity_course
    🔁 Learn recursion: inscod.com/recursion_course
    NB: This video is ad-free, you can choose to support Inside code by purchasing one of the courses above or dropping a super thanks!
    NB2: Discounts of courses above are permanent
    I also post content on LinkedIn (inscod.com/linkedin) and Instagram (inscod.com/instagram)
  • НаукаНаука

Комментарии • 52

  • @insidecode
    @insidecode  Год назад +1

    Discover the new graph theory algorithms course: inscod.com/graphalgo
    🔴
    / \
    🔵-🔴
    | |
    🔴-🔵

  • @mustafaalan584
    @mustafaalan584 4 месяца назад +3

    It was the best video that I watched about sudoku solution and backtracking! It was very clear and simple to understand. Thank you !

  • @leoelicos
    @leoelicos 2 года назад +24

    The video was easy to follow and the bit at the end was nice to see the function working step by step to show the concept of backtracking. You definitely worked super hard on this video. well done

  • @RA-eg8tw
    @RA-eg8tw Месяц назад

    This was amazing! I actually understood the sudoku backtracking algorithm finally.

  • @prawnydagrate
    @prawnydagrate Месяц назад

    WOW. I always expected making a Sudoku solver to be insanely complicated, but clearly not. I actually suck at solving Sudokus, but I'm planning on making a Sudoku solver for a school project, and this is perfect. I didn't expect to understand anything at all when I clicked on this video. I'm really surprised how easy this seems. I hope it is how it seems 🤞

  • @user-rl2fn9hi3t
    @user-rl2fn9hi3t 4 месяца назад

    the best of the best for sudoku solution. THANK YOU SO MUCH😍

  • @kavindrachetna
    @kavindrachetna Год назад +5

    Great minimal coding using recursion. And animation is real added bonus. The video itself is a good example in its own class to emulate by other educators perhaps.

  • @akaskmsskssk6927
    @akaskmsskssk6927 2 года назад +1

    thank you for this video, great timing

  • @moshiurrahman52
    @moshiurrahman52 Год назад

    amazing explanation and animation! thanks man

  • @josiahdavid7735
    @josiahdavid7735 2 года назад +1

    He solves every coding problem flawlessly and he's so easy to follow.

  • @sallaklamhayyen9876
    @sallaklamhayyen9876 4 месяца назад

    brilliant explanation => thank you so much Bro😘
    please continue

  • @jasonzhang1133
    @jasonzhang1133 2 года назад +3

    Very cool animation, very elegant solution! Thank you so much.

  • @devanshbhardwaj2578
    @devanshbhardwaj2578 Год назад

    how do i make my output show all its trials and errors like at 5:05

  • @mrmarmoure5204
    @mrmarmoure5204 2 года назад +4

    الله يبارك
    the animation is really cool and the code is neat
    keep it up man you are doing wonders

    • @insidecode
      @insidecode  2 года назад

      Thanks!

    • @user-ki2wm2ou1n
      @user-ki2wm2ou1n 5 месяцев назад

      بسألك البرنامج الي استخدمه جافا و لا بايثون

  • @florinmatei8846
    @florinmatei8846 2 года назад +1

    I enjoied very much watching the video. I think that some other solution type, may try breath first strategy, and also, simply to complex coroborating techniques to produce the next breath first aproximation of all pissiblities for any cell to be filled with digits, that is also meant to find, in the end, the unique solution, if the algo work properly. :-)

    • @florinmatei8846
      @florinmatei8846 2 года назад

      Sorry for my english language mistakes, first, and second, yes, my idea that I put above may need more memory than the one occupied by the sudoku array itself, kinda bigger order complexity mem amount needed, compared to the sudoku board. >

  • @X_x_kingfisher_x_X
    @X_x_kingfisher_x_X Год назад

    How to know if the grid has more than one solution?

  • @fantomwolf1841
    @fantomwolf1841 3 месяца назад

    I get how the conditions n i get how it checks every number to see if its valid but i still dont get how it goes back can anyone help me out

  • @Souls-iq8to
    @Souls-iq8to Год назад

    I love you! no homo. Best explanation I have ever seen. It allowed me to organize my thoughts. Other instructors make it more complicated than what it is.

  • @florinmatei8846
    @florinmatei8846 2 года назад

    I always wondered if we can succesfully test some rating 1400 chess program based on limited hardware processing power and some software idea that I would formulate it as progressive complexity breath first alpha beta prunning also stable kinda search/ stable first minimax search, breifly. Thank You! :-)

    • @florinmatei8846
      @florinmatei8846 2 года назад

      the key word and the most hard to be acheived is perhaps the "stable" one.

  • @smackastan5697
    @smackastan5697 2 года назад +2

    Great quality.

  • @duncancamilleri8614
    @duncancamilleri8614 2 месяца назад

    I found myself spending days on this - it feels so disappointing! Is this normal?? I got to try solve it(did not finish) in a longer approach too, probably inefficient - i feel defeated! I did not use backtracking. I seem to get confused with recursion every time despite having lots of experience! Is this normal? Is it possible to come up with this solution from the get go in 5 minutes if one has never done it before? Thank you for sharing this video - it's been very well explained - + 1 like and subscribe.

  • @123StarGamer
    @123StarGamer 11 месяцев назад +7

    it didn't work for me

    • @cat47
      @cat47 8 месяцев назад +1

      how did it not work?

    • @srx2106
      @srx2106 6 месяцев назад +2

      leetcode has the numbers in the board as strings and has "." instead of 0. Switch it around and should work fine

  • @Scratch3.0Tutorials
    @Scratch3.0Tutorials Год назад

    If the solver stops when the row is = 9 then how will you do the last row?

    • @insidecode
      @insidecode  Год назад

      Indices in Python lists start from 0 so last row's index is 8

  • @sidheshwartiwari9834
    @sidheshwartiwari9834 2 года назад +2

    Thank you.

  • @moeinkpr9100
    @moeinkpr9100 Год назад

    your source code in github is follow 'backtraking' algorithm?

  • @user-yz4rq7rs8h
    @user-yz4rq7rs8h 5 месяцев назад

    Python or Java?

  • @ericlee6029
    @ericlee6029 2 года назад +1

    How do you edit your videos?

  • @X_x_kingfisher_x_X
    @X_x_kingfisher_x_X Год назад

    But if we return only true how to get the result? How to grab the puzzle?

    • @insidecode
      @insidecode  Год назад +1

      Changes are being done on the grid passed as argument, so you will find the final result there

    • @X_x_kingfisher_x_X
      @X_x_kingfisher_x_X Год назад

      @@insidecode Thanks but if the grid is printed after the function is called grid is still the same unsolved one, but if printed with in the function just before returning False solved one is printed, so how to use the result?

  • @AjithKumaR-jw9wt
    @AjithKumaR-jw9wt 2 года назад

    5:07

  • @objective_psychology
    @objective_psychology 2 года назад +1

    This seems like it would take forever to run

    • @insidecode
      @insidecode  2 года назад +4

      Nope because a sudoku grid is only 9x9, which is quite small

    • @High_Priest_Jonko
      @High_Priest_Jonko 2 года назад

      For a human, yeah probably

  • @2casandeepsaran388
    @2casandeepsaran388 2 месяца назад

    My dear you tuber ,
    First solve sudoku in paper and tell about algorithm for program
    THE ALGORITHM WILL NOT WORK
    #error

  • @AjithKumaR-jw9wt
    @AjithKumaR-jw9wt 2 года назад

    5:05